[package]
name = "core_protocol"
version = "0.1.0"
edition = "2024"

[dependencies]
bincode = "1.3.3"
chrono = { version = "0.4.44", features = ["serde"] }
secrecy = { version = "0.10.3", features = ["serde"] }
serde = { version = "1.0.228", features = ["derive"] }
thiserror = "2.0.18"
uuid = { version = "1.23.1", features = ["v4", "serde"] }
